%define oname	TrustedQSL
%define sname	tqsl

Summary:	TrustedQSL ham-radio applications
Name:		trustedqsl
Version:	1.14.3
Release:	%mkrel 8
License:	BSD-like
Group:		Networking/Other
Url:		http://sourceforge.net/projects/trustedqsl/
Source0:	http://downloads.sourceforge.net/%{name}/%{sname}-%{version}.tar.gz
Patch0:		tqsl-1.14.3-fix-includes.patch
# Originally from debian:
Patch1:		tqsl-1.14.3-lib-location.patch
BuildRequires:	cmake
BuildRequires:	db5.3-devel
BuildRequires:	dos2unix
BuildRequires:	wxgtku2.8-devel
BuildRequires:	pkgconfig(expat)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(libcurl)
Obsoletes:	tqsllib
Obsoletes:	%{_lib}tqsllib1

%description
The TrustedQSL applications are used for generating digitally signed
QSO records (records of Amateur Radio contacts). This package
contains the GUI applications tqslcert and tqsl.

%prep
%setup -q -n %{sname}-%{version}
%apply_patches

#fix EOL
dos2unix README

%build
%cmake \
	-DBUILD_ALL_EXTRAPROGS=ON
%make

%install
%makeinstall_std -C build

#desktop files
install -Dpm644 apps/tqsl.desktop %{buildroot}%{_datadir}/applications/%{name}-tqsl.desktop
install -Dpm644 apps/tqslcert.desktop %{buildroot}%{_datadir}/applications/%{name}-tqslcert.desktop

#icons
for i in 16 32 48 64 128; do
	install -Dpm 644 apps/icons/key${i}.png %{buildroot}%{_iconsdir}/hicolor/${i}x${i}/apps/%{name}.png
done

#fix .desktop files
sed -i -e 's|%{oname}.png|%{name}|g' %{buildroot}%{_datadir}/applications/*.desktop
desktop-file-install \
	--remove-key=Encoding \
	--remove-category=Application \
	--add-category=Network \
	--dir %{buildroot}/usr/share/applications/ \
		%{buildroot}/usr/share/applications/*.desktop

# ld.so.conf
mkdir -p %{buildroot}%{_sysconfdir}/ld.so.conf.d/
cat >> %{buildroot}%{_sysconfdir}/ld.so.conf.d/%{name}-%{_arch}.conf << EOF
%{_libdir}/%{name}
EOF

#no devel pkg
rm -rf %{buildroot}%{_includedir}

%files
%doc LICENSE.txt README AUTHORS.txt
%config %{_sysconfdir}/ld.so.conf.d/%{name}-%{_arch}.conf
%{_bindir}/tqsl*
%{_libdir}/%{name}/libtqsllib.so
%{_datadir}/%{oname}
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man?/trustedqsl.?.*


%changelog
* Mon Feb 08 2016 umeabot <umeabot> 1.14.3-8.mga6
+ Revision: 943244
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.14.3-7.mga5
+ Revision: 743134
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.14.3-6.mga5
+ Revision: 689960
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.14.3-5.mga4
+ Revision: 531976
- Mageia 4 Mass Rebuild

* Wed Aug 14 2013 wally <wally> 1.14.3-4.mga4
+ Revision: 466449
- drop unneeded obsoletes

* Wed Aug 14 2013 wally <wally> 1.14.3-3.mga4
+ Revision: 466448
- obsolete tqsllib-devel to remove it from mirrors

* Wed Aug 14 2013 wally <wally> 1.14.3-2.mga4
+ Revision: 466444
- add modification note to patch

* Wed Aug 14 2013 wally <wally> 1.14.3-1.mga4
+ Revision: 466438
- new version 1.14.3
- obsolete tqsllib (now bundled with trustedqsl)
- install unversioned lib to %%_libdir/trustedqsl (slightly modified patch originally from Debian)

* Mon Jan 14 2013 umeabot <umeabot> 1.13-6.mga3
+ Revision: 384829
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 26 2012 pterjan <pterjan> 1.13-5.mga3
+ Revision: 335423
- Fix obsolete Copyright tag

* Sun Jul 24 2011 ahmad <ahmad> 1.13-5.mga2
+ Revision: 128209
- Rebuild against wxgtk2.8 with enabled catch_segvs
- Add BR desktop-file-utils

* Sun Jun 19 2011 wally <wally> 1.13-4.mga2
+ Revision: 109823
- autoreconf sources before configure

* Sun Jun 19 2011 wally <wally> 1.13-3.mga2
+ Revision: 109663
- require tqsllib

* Sun Jun 19 2011 wally <wally> 1.13-2.mga2
+ Revision: 109623
- imported package trustedqsl

